/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ChannelAccess80211_H_
#define	_ChannelAccess80211_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Dependencies */
typedef enum ChannelAccess80211 {
	ChannelAccess80211_continuous	= 0,
	ChannelAccess80211_alternatingSCH	= 1,
	ChannelAccess80211_alternatingCCH	= 2
} e_ChannelAccess80211;

/* ChannelAccess80211 */
typedef long	 ChannelAccess80211_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ChannelAccess80211;
asn_struct_free_f ChannelAccess80211_free;
asn_struct_print_f ChannelAccess80211_print;
asn_constr_check_f ChannelAccess80211_constraint;
ber_type_decoder_f ChannelAccess80211_decode_ber;
der_type_encoder_f ChannelAccess80211_encode_der;
xer_type_decoder_f ChannelAccess80211_decode_xer;
xer_type_encoder_f ChannelAccess80211_encode_xer;
per_type_decoder_f ChannelAccess80211_decode_uper;
per_type_encoder_f ChannelAccess80211_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _ChannelAccess80211_H_ */
#include <asn_internal.h>
